<?php
// $Id: nrembrowser.styles.inc,v 1.1.2.1 2010/08/03 16:31:15 aaron Exp $

/**
 * @file includes/styles/nrembrowser.styles.inc
 * Implementations of various Styles hooks.
 */

/**
 * Implementation of Styles module hook_styles_default_containers().
 */
function nrembrowser_styles_default_containers() {
  $containers = array();
  foreach (node_get_types('types', NULL, TRUE) as $type) {
    $containers[$type->type] = array(
      'class' => 'NrembrowserStyles',
    );
  }
  return array(
    'nodereference' => array(
      'filter callback' => 'nrembrowser_styles_filter',
      'containers' => $containers,
    ),
  );
}

/**
 * Implementation of Styles module hook_styles_default_styles().
 */
function nrembrowser_styles_default_styles() {
  return array(
    'nodereference' => array(
      'styles' => array(
        'thumbnail' => array(
          'label' => 'Thumbnail',
          'description' => 'Representative thumbnails linking to the content page.',
        ),
        'teaser' => array(
          'label' => 'Teaser',
          'description' => 'A short summary of the content.',
          'default theme' => 'node',
          'default theme arguments' => array(TRUE),
        ),
      ),
    ),
  );
}

/**
 * Implementation of Styles module hook_styles_default_presets().
 */
function nrembrowser_styles_default_presets() {
  $containers = array();
  foreach (node_get_types('types', NULL, TRUE) as $type) {
    $containers[$type->type] = array(
      'default preset' => 'linked_nrembrowser_thumbnail',
      'styles' => array(
        'thumbnail' => array(
          'default preset' => 'linked_nrembrowser_thumbnail',
        ),
        'teaser' => array(
          'default preset' => 'teaser',
        ),
      ),
      'presets' => array(
        'linked_nrembrowser_thumbnail' => array(
          'link_to_node' => array(),
          'imagecache' => array(
            'preset' => 'nrembrowser_thumbnail',
          ),
        ),
        'teaser' => array(
          'teaser' => array(),
        ),
      ),
    );
  }
  return array(
    'nodereference' => array(
      'containers' => $containers,
    ),
  );
}
